## org.apache.xalan.xpath.xml
Class ObjectPool

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.ObjectPool

public class ObjectPool
extends java.lang.Object

Constructor Summary
`ObjectPool()`
`ObjectPool(java.lang.Class type)`
`ObjectPool(java.lang.Class type, int size)`

Method Summary
`void` `freeInstance(java.lang.Object obj)`
`java.lang.Object` `getInstance()`
`java.lang.Object` `getInstanceIfFree()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectPool

    public ObjectPool(java.lang.Class type)

### ObjectPool

    public ObjectPool(java.lang.Class type,
                      int size)

### ObjectPool

    public ObjectPool()

Method Detail

### getInstanceIfFree

    public java.lang.Object getInstanceIfFree()

### getInstance

    public java.lang.Object getInstance()

### freeInstance

    public void freeInstance(java.lang.Object obj)

Copyright © 2000 Apache XML Project. All Rights Reserved.